Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryCollectCallRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryCollectCallRule

- Some method calls to Object.collect(Closure) can be replaced with the spread operator. For instance, list.collect { it.multiply(2) } can be replaced by list*.multiply(2).

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority